
QGIS Application - Bug report #21271

Comments in SQL query in DB Manager breaks the query

2019-02-14 02:34 PM - Nikolay Lebedev

Status: In Progress

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29089

Description

SQL comments are highlighted in the editor, however they break SQL execution.

Easy to replicate: add a comment after SELECT clause before selected fields.

History

#1 - 2019-02-14 08:07 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2019-02-15 01:04 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Pull Request or Patch supplied changed from No to Yes

- Affected QGIS version changed from 3.4.4 to 3.5(master)

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/9180

#3 - 2019-02-18 08:13 AM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

Etienne Trimaille is handling this issue now: https://github.com/qgis/QGIS/pull/9183
